# normalizeLineEndings

abstract fun normalizeLineEndings(): TaskInputFilePropertyBuilder

Normalize line endings in text files during up-to-date checks and build cache key calculations. This setting will have no effect on binary files.

Line ending normalization is only supported with ASCII encoding and its supersets (i.e. UTF-8, ISO-8859-1, etc). Other encodings (e.g. UTF-16) will be treated as binary files and will not be subject to line ending normalization.

#### Since

7.2

abstract fun normalizeLineEndings(normalizeLineEndings: Boolean): TaskInputFilePropertyBuilder

Sets whether line endings should be normalized during up-to-date checks and build cache key calculations. Defaults to false. See normalizeLineEndings.

#### Since

7.2

#### Parameters

normalizeLineEndings

whether line endings should be normalized